#
# spec file for package rubygem-test-unit
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-test-unit
Version:        3.1.4
Release:        3.3
%define mod_name test-unit
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://test-unit.github.io/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        An xUnit family unit testing framework for Ruby
License:        Ruby and Python-2.0
Group:          Development/Languages/Ruby

%description
Test::Unit (test-unit) is unit testing framework for Ruby, based on xUnit
principles. These were originally designed by Kent Beck, creator of extreme
programming software development methodology, for Smalltalk's SUnit. It allows
writing tests, checking results and automated testing in Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING README.md" \
  -f

%gem_packages

%changelog
* Sat Sep 26 2015 coolo@suse.com
- updated to version 3.1.4
  see installed news.md
  [#]# 3.1.4 - 2015-09-26 {#version-3-1-4}
  It's a minor improvement release.
  [#]## Improvements
  * Updated sample code. [GitHub#109][Patch by takiy33]
  * Updated .travis.yml. [GitHub#110][Patch by takiy33]
  * document: Added table header in how to document.
    [GitHub#111][Patch by takiy33]
  * Removed duplicated code.
    [GitHub#112][Patch by takiy33]
  * Removed needless encoding conversion in fetching code snippet.
    [GitHub#113][Patch by NARUSE, Yui]
  [#]## Thanks
  * takiy33
  * NARUSE, Yui
* Mon Jul 27 2015 coolo@suse.com
- updated to version 3.1.3
  see installed news.md
  [#]# 3.1.3 - 2015-07-26 {#version-3-1-3}
  It's a bug fix release.
  [#]## Improvements
  * Removed unused `TODO` file. [GitHub#108][Patch by takiy33]
  [#]## Fixes
  * `--location`: Fixed a bug that `--location LINE` doesn't work when
    test script is specified as relative path. [Reported by TOMITA Masahiro]
    The following doesn't work:
    %% ruby ./test.rb --location 10
    The following works:
    %% ruby test.rb --location 10
  [#]## Thanks
  * takiy33
  * TOMITA Masahiro
* Fri Jun 12 2015 coolo@suse.com
- updated to version 3.1.2
  see installed news.md
  [#]# 3.1.2 - 2015-06-09 {#version-3-1-2}
  It's command line option improvements fix release.
  [#]## Improvements
  * `--location`: Made path match rule more strict.
    [Suggested by kimura wataru]
  * Before:
  * If test defined path ends with the specified path, the test is
    matched.
  * After:
  * If base name of test defined path equals to the specified
    path, the test is matched.
  * If relative path of test defined path equals to the specified
    path, the test is matched.
  * If the specified path is absolute path and test defined path
    equals to the specified path, the test is matched.
  * `--pattern`: If the option is specified, the default patterns
    aren't used. In the earlier versions, both the default patterns
    and the specified patterns are used.
    [Suggested by kimura wataru]
  [#]## Thanks
  * kimura wataru
  [#]# 3.1.1 - 2015-05-29 {#version-3-1-1}
  It's a bug fix release.
  [#]## Fixes
  * Fixed a bug that `--location` detects tests not only in sub test
    case but also parent test case.
    [GitHub#105][Reported by wanabe]
  [#]## Thanks
  * wanabe
* Thu May 28 2015 coolo@suse.com
- updated to version 3.1.0
  see installed news.md
  [#]# 3.1.0 - 2015-05-28 {#version-3-1-0}
  It's a bug fix release.
  [#]## Improvements
  * [ui][console] Removed needless new line.
  [#]## Fixes
  * Fixed a bug that priority mode can't be used on Windows.
    [GitHub#95][Reported by Daniel Berger]
  * Fixed a homepage URL RubyGems spec.
    [GitHub#96][Patch by Masayoshi Takahashi]
    supported.) [GitHub#89][Patch by Aaron Stone]
  * Fixed a bug that shutdown hook isn't called when pass throw
    exception such as `Interrupt` is raised.
    [GitHub#98][Reported by jeremiahishere.]
  * Fixed typos in documents.
    [GitHub#100][Reported by scivola]
    [GitHub#102][GitHub#103][Patch by Masafumi Yokoyama]
  * Fixed a bug that the same name test isn't executed in sub test case.
    [GitHub#104][Reported by wanabe]
  [#]## Thanks
  * Daniel Berger
  * Masayoshi Takahashi
  * jeremiahishere
  * scivola
  * Masafumi Yokoyama
  * wanabe
* Tue Feb 10 2015 coolo@suse.com
- updated to version 3.0.9
* Sat May 18 2013 coolo@suse.com
- updated to version 2.5.5, no changelog
* Wed Jan 23 2013 coolo@suse.com
- updated to version 2.5.4, no changelog
* Thu Nov 29 2012 coolo@suse.com
- updated to version 2.5.3
  * improved mini-test compat
* Wed Aug 29 2012 coolo@suse.com
- updated to version 2.5.2, no changelog
* Sun Jul 15 2012 coolo@suse.com
- update to 2.5.1, no changelog
* Fri Jun 22 2012 coolo@suse.com
- update to 2.5.0, no changelog
* Fri Apr 27 2012 coolo@suse.com
- trying to fix an issue with ci_reporter (see github)
* Wed Apr  4 2012 coolo@suse.com
- update to 2.4.8 - History.txt removed ;(
* Mon Jun 14 2010 mrueckert@suse.de
- additional changes from version 2.0.9
  * fix a packaging miss.
- additional changes from version 2.0.8
  * collect *_test.rb and *-test.rb files as test files.
  * [#28181] improve assert_in_delta message.
    [Suggested by David MARCHALAND]
  * show string encoding in assert_equal failure message if
    they are different.
  * change default color scheme:
  * success: green back + white
  * failure: red back + white
  * add capture_output.
  * fix a bug that console runner on verbose mode causes an
    error for long test name (>= 61).
  * [#28093] Autorunner ignores all files in a directory named test
    by default [Reported by Florian Frank]
- additional changes from version 2.0.7
  * detect redefined test methods.
  * [INTERFACE IMCOMPATIBLE] multiple --name and --testcase
    options narrow down targets instead of adding targets.
  * [#27764] accept custom test_order for each test case.
    [Suggested by David MARCHALAND]
  * [#27790] ignore omitted tests from 'n%% passed' report.
    [Suggested by Daniel Berger]
  * [#27832] ignore .git directory. [Suggested by Daniel Berger]
  * [#27792] require 'fileutils' and 'tmpdir' lazily for
    non-priority mode users. [Suggested by David MARCHALAND]
  * [#27892] modify processed arguments array destructively.
    [Reported by Bob Saveland]
  * work without HOME environment variable.
    [Reported by Champak Ch]
- additional changes from version 2.0.6
  * [#27380] Declarative syntax? [Daniel Berger]
    support declarative syntax:
    test "test description in natural language" do
    ...
    end
  * support test description:
    description "test description in natural language"
    def test_my_test
    ...
    end
  * make max diff target string size customizable by
    TEST_UNIT_MAX_DIFF_TARGET_STRING_SIZE environment variable.
  * [#27374] omit_if unexpected behavior [David MARCHALAND]
  * fix a bug that tests in sub directories aren't load with
  - -basedir.  [Daniel Berger]
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Nov 16 2009 dmacvicar@novell.com
- update to 2.0.5
  * [#27314] fix diff may raise an exception. [Erik Hollensbe]
- changes in 2.0.4
  * 4 major enhancements
  * use ~/.test-unit.yml as global configuration file.
  * add TAP runner. (--runner tap)
  * support colorized diff:
    http://test-unit.rubyforge.org/svn/trunk/images/color-diff.png
  * add Test::Unit::AutoRunner.default_runner= to specify default
    test runner.
  * improve verbose mode output format. (use indent)
  * support NOT_PASS_THROUGH_EXCEPTIONS.
  * support arguments option in #{runner}_options.
  * TC_ -> Test in sample test case name.
  * [#27195] test-unit-2.0.3 + ruby-1.9.1 cannot properly test
    DelegateClass subclasses [Mike Pomraning]
* Fri Sep  4 2009 lslezak@suse.cz
- updated to test-unit-2.0.3
* Thu Jul 16 2009 lslezak@suse.cz
- do not pack /usr/bin/testrb file, it conflicts with the file
  in the main ruby package (it's the same file)
* Thu Jul 16 2009 lslezak@suse.cz
- initial packaging (version 2.0.2)
